# -------------------------------------------------------------------------
#
#        P R O D U C T   F I N D I N G
#
# -------------------------------------------------------------------------
import abc
import pathlib
from typing import Iterator

from .products import SpooledProduct


class ProductFinder(abc.ABC):
    @abc.abstractmethod
    def find_products(self) -> Iterator[SpooledProduct]:
        pass


class PiperesultsProductFinder(ProductFinder):
    def __init__(self, path: pathlib.Path):
        self.path = path

    def find_products(self) -> Iterator[SpooledProduct]:
        raise NotImplementedError


class HeuristicProductFinder(ProductFinder):
    def __init__(self, path: pathlib.Path):
        self.path = path

    def find_products(self) -> Iterator[SpooledProduct]:
        raise NotImplementedError
