#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import setup

VERSION = open("src/workspaces/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = [
    "pycapo",
    "marshmallow",
    "ssa-schema",
    "sqlalchemy",
    "cx_Oracle",
    "chevron",
]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces support library",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=["workspaces"],
    package_dir={"": "src"},
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["workflow = workspaces.cli:main"]},
)
